Skip to main content
POST
/
v1
/
generate
/
regenerate-post
Regenerate post
curl --request POST \
  --url https://reelmirror.com/api/v1/generate/regenerate-post \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "generated_post_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "failed_only": false
}
'
{
  "data": {
    "id": "<string>",
    "status": "started"
  }
}

Authorizations

Authorization
string
header
required

API key (rm_xxx) or JWT token

Body

application/json
generated_post_id
string<uuid>
required
failed_only
boolean
default:false

When true, retry only failed media items instead of regenerating the entire post.

Response

Regeneration started. When failed_only is true, the response includes retried_items and total_cost_cents.

data
object

Full regeneration response